classification
Title: An index entry for __main__ in "30.5 runpy" is missing
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.4, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: MLModel, docs@python, eric.araujo, ezio.melotti, ncoghlan, orsenthil, python-dev
Priority: normal Keywords: easy, patch

Created on 2013-12-28 15:17 by MLModel, last changed 2014-06-20 08:39 by orsenthil. This issue is now closed.

Files
File name Uploaded Description Edit
20091.patch orsenthil, 2014-06-20 08:27 review
Messages (4)
msg207030 - (view) Author: Mitchell Model (MLModel) Date: 2013-12-28 15:17
An index entry should be added for __main__ as it appears in the documentation of runpy (30.5 in 3.3, 31.5 in 3.4).
msg221074 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2014-06-20 08:27
Attached patch adds the index entry.
msg221075 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-06-20 08:38
New changeset d641c096b1f5 by Senthil Kumaran in branch '2.7':
issue 20091 - index entry for __main__ in runpy docs.
http://hg.python.org/cpython/rev/d641c096b1f5

New changeset 1727dcfff233 by Senthil Kumaran in branch '3.4':
issue 20091 - index entry for __main__ in runpy docs.
http://hg.python.org/cpython/rev/1727dcfff233

New changeset fd9f7bdd7472 by Senthil Kumaran in branch 'default':
merge from 3.4
http://hg.python.org/cpython/rev/fd9f7bdd7472
msg221076 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2014-06-20 08:39
Fixed in all active branches.
History
Date User Action Args
2014-06-20 08:39:28orsenthilsetstatus: open -> closed
versions: + Python 2.7
messages: + msg221076

resolution: fixed
stage: needs patch -> resolved
2014-06-20 08:38:45python-devsetnosy: + python-dev
messages: + msg221075
2014-06-20 08:27:09orsenthilsetfiles: + 20091.patch

nosy: + orsenthil
messages: + msg221074

keywords: + patch
2014-06-19 22:35:47ezio.melottisetkeywords: + easy
stage: needs patch
type: enhancement
versions: + Python 3.5, - Python 3.3
2014-03-13 09:26:35eric.araujosetnosy: + ncoghlan, eric.araujo
2014-02-15 15:20:52ezio.melottisetnosy: + ezio.melotti
2013-12-28 15:45:29serhiy.storchakasettitle: An index entery for __main__ in "30.5 runpy" is missing -> An index entry for __main__ in "30.5 runpy" is missing
2013-12-28 15:17:22MLModelcreate